D-Bus 1.13.18

Data Structures | Macros | Functions
Error reporting internals
D-Bus secret internal implementation details

Error reporting internals. More...

## Data Structures
struct | DBusRealError
| Internals of DBusError. More...

## Macros
#define | DBUS_ERROR_INIT { NULL, NULL, TRUE, 0, 0, 0, 0, NULL }

## Functions
| _DBUS_STATIC_ASSERT (sizeof(DBusRealError)==sizeof(DBusError))

## Detailed Description

Error reporting internals.

## Macro Definition Documentation

## ◆ DBUS_ERROR_INIT

#define DBUS_ERROR_INIT { NULL, NULL, TRUE, 0, 0, 0, 0, NULL }

Expands to a suitable initializer for a DBusError on the stack. Declaring a DBusError with:

DBusError error = DBUS_ERROR_INIT;
do_things_with (&error);

is a more concise form of:

DBusError error;
dbus_error_init (&error);
do_things_with (&error);

Definition at line 63 of file dbus-errors.h.

dbus_error_init
void dbus_error_init(DBusError *error)
Initializes a DBusError structure.
Definition: dbus-errors.c:188
DBUS_ERROR_INIT
#define DBUS_ERROR_INIT
Definition: dbus-errors.h:62
DBusError
Object representing an exception.
Definition: dbus-errors.h:49